Overview
GET
/account/privacyaccountList the caller's per-row privacy grants (optionally one target table)
List privacy.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- targetTablequery · optionalstring
Responses
200
The caller’s privacy grants
- itemsPrivacyGrant[]
Example
{
"items": [
{
"targetTable": "avatar",
"targetId": "string",
"audienceMask": 0
}
]
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/account/privacy" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/account/privacy", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();